Retrieve Customer's Address
curl --request GET \
--url http://127.0.0.1:8080/v1/c/customer/{customer_id}/address \
--header 'wb-key: <api-key>'import requests
url = "http://127.0.0.1:8080/v1/c/customer/{customer_id}/address"
headers = {"wb-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'wb-key': '<api-key>'}};
fetch('http://127.0.0.1:8080/v1/c/customer/{customer_id}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"city": "<string>",
"country": "<string>",
"line_1": "<string>",
"zip": "<string>",
"line_2": "<string>",
"state": "<string>"
}Customer
Get Address
The API returns an address belonging to the customer
GET
/
v1
/
c
/
customer
/
{customer_id}
/
address
Retrieve Customer's Address
Authorizations
api-keywb_user_cookie
Path Parameters
Id of the Customer
Response
200 - application/json
Customer Address Details
Physical address. Used by both Customer and WbCustomer entities.
City name
ISO 3166 2-letter Country code
First line of address
Zip or Postal code
Second line of the address. Optional
State, or another appropriate administrative region Empty string value will be treated as NULL
⌘I